import request from '@/utils/request'

// 查询员工信息列表
export function listEmployeeInfo(query) {
  return request({
    url: '/pay/employeeInfo/list',
    method: 'get',
    params: query
  })
}

// 查询员工信息详细
export function getEmployeeInfo(id) {
  return request({
    url: '/pay/employeeInfo/' + id,
    method: 'get'
  })
}

// 新增员工信息
export function addEmployeeInfo(data) {
  return request({
    url: '/pay/employeeInfo',
    method: 'post',
    data: data
  })
}

// 修改员工信息
export function updateEmployeeInfo(data) {
  return request({
    url: '/pay/employeeInfo',
    method: 'put',
    data: data
  })
}

// 删除员工信息
export function delEmployeeInfo(id) {
  return request({
    url: '/pay/employeeInfo/' + id,
    method: 'delete'
  })
}

//修改每日应出勤小时数
export function updateHour(data) {
  return request({
    url: '/pay/employeeInfo/edithour',
    method: 'put',
    params: data
  })
}
